## debhelper7 7.4.10maemo2

=== Makefile ===
# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=perl -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if ($$2!~/deprecated/) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			while (<STDIN>) { \
		        	s/\#LIST\#/$$list/; \
		        	s/\#LIST_DEPRECATED\#/$$list_deprecated/; \
				print; \
			}; \
		}'

# Figure out the `current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')

PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

POD2MAN=pod2man -c Debhelper -r "$(VERSION)"

# l10n to be built is determined from .po files
LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))

build: version debhelper.7
	find . -maxdepth 1 -type f -perm +100 -name "dh*" \
		-exec $(POD2MAN) {} {}.1 \;
	po4a -L UTF-8 man/po4a/po4a.cfg 
	set -e; \
	for lang in $(LANGS); do \
		dir=man/$$lang; \
		for file in $$dir/dh*.pod; do \
			prog=`basename $$file | sed 's/.pod//'`; \
			$(POD2MAN) $$file $$prog.$$lang.1; \
		done; \
		if [ -e $$dir/debhelper.pod ]; then \
			cat $$dir/debhelper.pod | \
				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
				$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
		fi; \
	done

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		Debian/Debhelper/Dh_Version.pm

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7

clean:
	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
	po4a --rm-translations --rm-backups man/po4a/po4a.cfg
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Getopt \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install $(shell find -maxdepth 1 -mindepth 1 -name dh\* |grep -v \.1\$$) $(DESTDIR)/usr/bin
	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	install -m 0644 Debian/Debhelper/Getopt/*.pm $(DESTDIR)$(PERLLIBDIR)/Getopt
	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem

test: version
	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
	# clean up log etc
	./run dh_clean

=== debian/changelog ===
debhelper7 (7.4.10maemo2) fremantle; urgency=low

  * fix some tests but disable tests for now

 -- Thomas Tanner <tanner@maemory.com>  Sun, 24 Jan 2010 00:00:00 +0100

debhelper7 (7.4.10maemo1) fremantle; urgency=low

  * update to latest Ubuntu lucid version
  * include Perl 5.10 Getopt:Long and remove perl-base 5.10 dependency
  * remove pod2man utf8 flag
  * remove conflicting /usr/share/debhelper/autoscripts/postinst-upstart

 -- Thomas Tanner <tanner@maemory.com>  Fri, 22 Jan 2010 00:00:00 +0100

debhelper (7.4.10ubuntu1) lucid; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Merge with Debian unstable (LP: #485956). Remaining Ubuntu changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

  [ Daniel Holbach ]
  * Port merge from 7.4.7 to 7.4.10.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 16 Dec 2009 09:01:54 +0100

debhelper (7.4.10) unstable; urgency=low

  * Add --parallel option that can be used to enable parallel building
    without limiting the max number of parallel jobs. (Modestas Vainius)
  * dh_makeshlibs: Temporarily revert fix for #557603, as it caused
    dpkg-gensymbols to see libraries not in the regular search path and
    broke builds. This will be re-enabled in v8. Closes: #560217

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Dec 2009 15:17:19 -0500

debhelper (7.4.9) unstable; urgency=low

  * Typo. Closes: #558654
  * dh_installinit: Fix installation of defaults file when an upstart job is
    installed. Closes: #558782

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Nov 2009 14:21:10 -0500

debhelper (7.4.8) unstable; urgency=low

  * Parallel building support is no longer enabled by default. It can still
    be enabled by using the --max-parallel option. This was necessary because
    some buildds build with -j2 by default. (See #532805)
  * dh: Document --no-act. Closes: #557505
  * dh_makeshlibs: Make -X also exclude libraries from the symbols file.
    Closes: #557603 (Peter Samuelson)

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Nov 2009 13:57:10 -0500

debhelper (7.4.7) unstable; urgency=low

  * make: Avoid infinite make recursion that occurrs when testing existence
    of a target in a certian horribly broken makefile, by making the test stop
    after it sees one line of output from make. (This may be better replaced
    with dh's makefile parser in the future.) Closes: #557307

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Nov 2009 13:35:22 -0500

debhelper (7.4.6) unstable; urgency=low

  * Update --list to reflect buildsystem autoselection changes.
  * Remove last vestiages of support for /usr/X11R6.
  * cmake: Fix deep recursion in test. Closes: #557299

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Nov 2009 13:08:48 -0500

debhelper (7.4.5) unstable; urgency=low

  * ant: Fix auto-selection breakage. Closes: #557006 (Cyril Brulebois)

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Nov 2009 11:53:39 -0500

debhelper (7.4.4) unstable; urgency=low

  * The makefile buildsystem (and derived buildsystems cmake, autoconf, etc)
    now supports parallel building by default, as specified via
    DEB_BUILD_OPTIONS. Closes: #532805
  * dh_auto_*: Add --max-parallel option that can be used to control
    or disable parallel building. --max-parallel=1 will disable parallel
    building, while --max-parallel=N will limit the maximum number of
    parallel processes that can be specified via DEB_BUILD_OPTIONS.
  * Added some hacks to avoid warnings about unavailable jobservers when
    debhelper runs make, and the parent debian/rules was run in parallel
    mode (as dpkg-buildpackage -j currently does).
  * Thanks, Modestas Vainius for much of the work on parallel build support.
  * Add deprecation warnings for -u to the documentation, since putting
    options after -- is much more sane. (However, -u will not go away any
    time soon.) Closes: #554509
  * Separate deprecated programs in the list of commands in debhelper(7).
    Closes: #548382
  * Adjust code to add deprecation warning for compatibility level 4.
    (Man page already said it was deprecated.) Closes: #555899
  * dh_installdocs: Warn if a doc-base file cannot be parsed to find a
    document id. Closes: #555677
  * Typo. Closes: #555659
  * cmake: Set CTEST_OUTPUT_ON_FAILURE when running test suite.
    Closes: #555807 (Modestas Vainius)
  * autoconf: If configure fails, display config.log. Intended to make
    it easier to debug configure script failures on autobuilders.
    Closes: #556384
  * Improve build system autoselection process; this allows cmake to be
    autoselected for steps after configure, instead of falling back to
    makefile once cmake generated a makefile. Closes: #555805
    (Modestas Vainius)

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Nov 2009 14:44:21 -0500

debhelper (7.4.3ubuntu2) lucid; urgency=low

  * dh_installinit: Fix merge error which caused init.d-autoscripts to be
    run for upstartified packages. (LP: #470326)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Nov 2009 13:01:48 +0100

debhelper (7.4.3ubuntu1) lucid; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Oct 2009 14:11:17 +0100

debhelper (7.4.3) unstable; urgency=low

  [ Valery Perrin ]


=== debian/control ===
Source: debhelper7
Section: devel
Priority: optional
Maintainer: Thomas Tanner <tanner@maemory.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
Homepage: http://kitenet.net/~joey/code/debhelper/

Package: debhelper7
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.8.3), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
Suggests: dh-make
Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), debhelper
Provides: debhelper
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, debconf, doc-base, etc. Most debian packages use debhelper
 as part of their build process.
 WARNING: This is the perl 5.8 backport for Maemo SDK. It conflicts
 with the debhelper in the SDK and scratchbox. Please make sure that scratchbox
 ignores the redirects using SBOX_REDIRECT_IGNORE.

=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
# 
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.

PATH:=/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE:=$(shell echo /usr/bin/{python,perl,dh_*} | sed "s/ /:/g")
export SBOX_REDIRECT_IGNORE
export DEB_BUILD_OPTIONS:=nocheck

%:
	./run dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/debhelper/news

## debhelper7 7.4.10maemo3

=== debian/changelog ===
debhelper7 (7.4.10maemo3) fremantle; urgency=low

  * move scripts to /usr/bin/dh7/
  * rename Debhelper lib to Debhelper7
  * can now coexist with standard debhelper

 -- Thomas Tanner <tanner@maemory.com>  Mon, 25 Jan 2010 00:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.8.3), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
-Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), debhelper
+Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Provides: debhelper
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to

## debhelper7 7.4.10maemo4

=== Makefile ===
--- 
+++ 
@@ -30,23 +30,23 @@
 # Figure out the `current debhelper version.
 VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')
 
-PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper
+PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper7
 
-POD2MAN=pod2man -c Debhelper -r "$(VERSION)"
+POD2MAN=pod2man -c Debhelper7 -r "$(VERSION)"
 
 # l10n to be built is determined from .po files
 LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
 
-build: version debhelper.7
+build: version debhelper7.7
 	find . -maxdepth 1 -type f -perm +100 -name "dh*" \
-		-exec $(POD2MAN) {} {}.1 \;
+		-exec $(POD2MAN) --section=7  {} {}.7 \;
 	po4a -L UTF-8 man/po4a/po4a.cfg 
 	set -e; \
 	for lang in $(LANGS); do \
 		dir=man/$$lang; \
 		for file in $$dir/dh*.pod; do \
 			prog=`basename $$file | sed 's/.pod//'`; \
-			$(POD2MAN) $$file $$prog.$$lang.1; \
+			$(POD2MAN) --section=7  $$file $$prog.$$lang.7; \
 		done; \
 		if [ -e $$dir/debhelper.pod ]; then \
 			cat $$dir/debhelper.pod | \
@@ -57,32 +57,32 @@
 
 version:
 	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
-		Debian/Debhelper/Dh_Version.pm
+		Debian/Debhelper7/Dh_Version.pm
 
-debhelper.7: debhelper.pod
+debhelper7.7: debhelper.pod
 	cat debhelper.pod | \
 		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
-		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
+		$(POD2MAN) --name="debhelper" --section=7  > debhelper7.7
 
 clean:
-	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
+	rm -f *.1 *.7 Debian/Debhelper7/Dh_Version.pm
 	po4a --rm-translations --rm-backups man/po4a/po4a.cfg
 	for lang in $(LANGS); do \
 		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
 	done;
 
 install:
-	install -d $(DESTDIR)/usr/bin \
-		$(DESTDIR)/usr/share/debhelper/autoscripts \
+	install -d $(DESTDIR)/usr/bin/dh7 \
+		$(DESTDIR)/usr/share/debhelper7/autoscripts \
 		$(DESTDIR)$(PERLLIBDIR)/Getopt \
 		$(DESTDIR)$(PERLLIBDIR)/Sequence \
 		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
-	install $(shell find -maxdepth 1 -mindepth 1 -name dh\* |grep -v \.1\$$) $(DESTDIR)/usr/bin
-	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
-	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
-	install -m 0644 Debian/Debhelper/Getopt/*.pm $(DESTDIR)$(PERLLIBDIR)/Getopt
-	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
-	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
+	install $(shell find -maxdepth 1 -mindepth 1 -name dh\* |grep -v \.[17]\$$) $(DESTDIR)/usr/bin/dh7
+	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper7/autoscripts
+	install -m 0644 Debian/Debhelper7/*.pm $(DESTDIR)$(PERLLIBDIR)
+	install -m 0644 Debian/Debhelper7/Getopt/*.pm $(DESTDIR)$(PERLLIBDIR)/Getopt
+	install -m 0644 Debian/Debhelper7/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
+	install -m 0644 Debian/Debhelper7/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
 
 test: version
 	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*

=== debian/changelog ===
debhelper7 (7.4.10maemo4) fremantle; urgency=low

  * add files from quilt

 -- Thomas Tanner <tanner@maemory.com>  Mon, 25 Jan 2010 00:00:00 +0100
